Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.logging.simple
Class SimpleLogger

    java.lang.Object
      rice.environment.logging.simple.SimpleLogger

All Implemented Interfaces:
  Logger

public class SimpleLogger
extends java.lang.Object
implements Logger

This logger writes its name:time:message to the printstream provided, unless the priority is lower than the minimumPriority.

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  Jeff Hoye

Field Summary

Fields inherited from interface rice.environment.logging.Logger
`ALL, CONFIG, FINE, FINER, FINEST, INFO, OFF, SEVERE, WARNING`

Constructor Summary
`SimpleLogger(java.lang.String loggerName, SimpleLogManager slm, TimeSource time, int minPriority)` Constructor.

Method Summary
`void` | `log(int priority, java.lang.String message)` Prints out loggerName:currentTime:message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLogger

    public SimpleLogger(java.lang.String loggerName,
                        SimpleLogManager slm,
                        TimeSource time,
                        int minPriority)

  Constructor.

Parameters:
  `loggerName` - the name of this logger.
  `time` - the timesource.
  `minPriority` - the minimum priority to display.
  `slm` - DESCRIBE THE PARAMETER

Method Detail

### log

    public void log(int priority,
                    java.lang.String message)

  Prints out loggerName:currentTime:message

  Specified by:
    `log` in interface `Logger`
  Parameters:
    `priority` - DESCRIBE THE PARAMETER
    `message` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.